Page MenuHomePhabricator

Adding a new Sense
Closed, ResolvedPublic

Description

Narrative:
As an editor of Wikidata-Lexeme I want to be able to add a new Sense and save it in a Lexeme in order to describe the different meanings of a word.

Acceptance Criteria:

  • I can add a new Sense to a Lexeme
  • The Sense gets a stable, non-reusable ID
  • The Sense always has at least one Gloss
  • The Sense is persistently stored/survives a page reload

Given: I am on a Lexeme page
When: I click "add Sense"
Then: I get an input field for a new gloss and a language code and provide those
Then: I click save
Then: the new Sense is added with a new ID in the pattern L123-S1

Personas to take into account:
Niels - Active editor on Wikidata
Alex - Data user in small startup

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolved Addshore
Resolved Addshore
ResolvedLadsgroup
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLea_Lacroix_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLydia_Pintscher
ResolvedJan_Dittrich
ResolvedLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolved Addshore
ResolvedLadsgroup

Event Timeline

RazShuty created this task.Jun 1 2018, 2:00 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 1 2018, 2:00 PM
RazShuty removed WMDE-leszek as the assignee of this task.Jun 1 2018, 7:05 PM
RazShuty added a subscriber: WMDE-leszek.

Special:NewLexeme should also include a way to add a sense directly

RazShuty edited projects, added Epic; removed Story.Jun 26 2018, 11:25 AM
CommunityTechBot renamed this task from dubaaaaaaa to Adding a new Sense.Jul 2 2018, 1:46 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
Addshore moved this task from incoming to in progress on the Wikidata board.Sep 18 2018, 2:24 PM
Lydia_Pintscher closed this task as Resolved.Sep 26 2018, 9:28 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/
🎉